
/*
 *  Copyright 1995 Microsoft Corporation. All rights reserved.
 *  Developed by Ataman Software, Inc., ftp://rmii.com/pub2/ataman,
 *       info@ataman.com
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <stdlib.h>

void
main(int argc, char *argv[])
{
	int c1, c2;
	FILE *fp1, *fp2;

	if (argc != 3) {
		exit(100);
	}

	fp1 = fopen(argv[1], "r");
	fp2 = fopen(argv[2], "r");

	if (fp1 == NULL || fp2 == NULL) {
		exit(1000);
	}

	for(;;) {
		c1 = getc(fp1);
		c2 = getc(fp2);
		if (c1 != c2)
			exit(1);
		if (c1 == EOF)
			break;
	}

	exit(0);
}
